aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNicolas Dechesne <nicolas.dechesne@linaro.org>2019-02-22 18:29:47 +0100
committerKhem Raj <raj.khem@gmail.com>2019-02-22 18:14:53 -0800
commit62a8c64a0254d02363dd9c809f3efb3a047af9a8 (patch)
tree1670704dca423d382253be42e315a3684d920819
parent987d28c27e70ba12edf2b99745c13e7525206f4a (diff)
downloadmeta-openembedded-contrib-62a8c64a0254d02363dd9c809f3efb3a047af9a8.tar.gz
meta-openembedded-contrib-62a8c64a0254d02363dd9c809f3efb3a047af9a8.tar.bz2
meta-openembedded-contrib-62a8c64a0254d02363dd9c809f3efb3a047af9a8.zip
polkit: add REQUIRED_DISTRO_FEATURES for polkit
After below commits to add polkit as a required distro feature: 97a1a55 polkit: add polkit as a required distro feature c049e02 polkit: inherit distro_features_check All recipes that includes polkit-group-rule.inc will fail to parse when polkit is not in DISTRO_FEATURE, especially 'world'. e.g. ERROR: Required build target 'meta-world-pkgdata' has no buildable providers. Missing or unbuildable dependency chain was: ['meta-world-pkgdata', 'udisks', 'polkit'] Signed-off-by: Nicolas Dechesne <nicolas.dechesne@linaro.org> Signed-off-by: Khem Raj <raj.khem@gmail.com>
-rw-r--r--meta-oe/recipes-extended/polkit/polkit-group-rule.inc3
1 files changed, 3 insertions, 0 deletions
diff --git a/meta-oe/recipes-extended/polkit/polkit-group-rule.inc b/meta-oe/recipes-extended/polkit/polkit-group-rule.inc
index 40e4005423..06ab106420 100644
--- a/meta-oe/recipes-extended/polkit/polkit-group-rule.inc
+++ b/meta-oe/recipes-extended/polkit/polkit-group-rule.inc
@@ -1,6 +1,9 @@
# polkit must prepare polkitd group
DEPENDS += "polkit"
+inherit distro_features_check
+REQUIRED_DISTRO_FEATURES = "polkit"
+
inherit useradd
do_install_prepend() {